package springcoretech.test;

import java.sql.Connection;
import java.sql.Statement;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import org.springframework.jdbc.datasource.DriverManagerDataSource;

public class Test {

	/**
	 * @param args
	 */
	public static void main(String[] args) throws Exception {

		// XmlBeanFactory factory=new XmlBeanFactory(new
		// ClassPathResource("applicationContext.xml"));
		// HelloWorld hw= (HelloWorld) factory.getBean("helloWorld");
		// hw.SetName("吴XX");
		// hw.say();
		// factory.destroySingletons();

		// ----------------------------------
		ApplicationContext parent = new ClassPathXmlApplicationContext(
				"parentContainer.xml");
		
		ApplicationContext son = new ClassPathXmlApplicationContext(
				new String[] { "sonContainer.xml" }, parent);

		Object hwParent= parent.getBean("helloWorld");
//		parent.getBean("helloWorldSon");
		Object hwSon = son.getBean("helloWorld");
		son.getBean("helloWorldSon");
		System.out.println("父容器获得的helloWorld:"+hwParent);
		System.out.println("子容器获得的helloWorld:"+hwSon);		//与上面获得相同的对象
		// ----------------------------------

		ApplicationContext factory = new ClassPathXmlApplicationContext(
				"applicationContext.xml");

		ApplicationContext factory2 = new ClassPathXmlApplicationContext(
				new String[] { "applicationContext.xml" }, factory);

		HelloWorld hw = (HelloWorld) factory.getBean("helloWorld");
		hw.SetName("吴XX1");
		hw.say();

		HelloWorld hw2 = (HelloWorld) factory2.getBean("helloWorld");
		hw2.SetName("吴XX2");
		hw2.say();

		// 测试spring dataSource
		// DriverManagerDataSource
		// dataSource=(DriverManagerDataSource)factory.getBean("dataSource");
		// DriverManagerDataSource dataSource = (DriverManagerDataSource)
		// factory
		// .getBean("dataSource2");
		// System.out.println(dataSource.toString());
		// Connection conn = dataSource.getConnection();
		// System.out.println("connect done");
		//
		// Statement stmt = conn.createStatement();
		// stmt.execute("insert into tb values(N'中国中中12233')");
		//
		// System.out.println("insert done");
	}

}
