package test.aop;

import java.lang.reflect.Method;

import org.springframework.aop.AfterReturningAdvice;

public class MyAfterReturningAdvice implements AfterReturningAdvice {

	@Override
	public void afterReturning(Object returnValue, Method method,
			Object[] args, Object target) throws Throwable {

		System.out.println("After Returning advice: 函数调用返回:" + returnValue + ",方法名" + method.getName()
				+ ",目标对象:" + target);
		if (returnValue != null) {
			returnValue = returnValue.toString() + ",加上的尾巴";
		}
	}

}
