package test.aop;

import java.lang.reflect.Method;

import org.springframework.aop.MethodBeforeAdvice;

public class MyMethodBeforeAdvice implements MethodBeforeAdvice {

	@Override
	public void before(Method method, Object[] args, Object target) throws Throwable {
		System.out.println( "Before Advice:调用了 "+target +"的 "+method.getName()+"方法,参数为:");
		int i=0;
		for (Object object : args) {
			System.out.println( (++i)+ "个:"+ object.toString());
		}
	}

}
